BLOCKDEV(8)

NOM
blockdev - Appeler les ioctls pour périphériques bloc en ligne de commande

SYNOPSIS

blockdev [-q] [-v] commande [commande...] périphérique [périphérique...]

blockdev --report [périphérique...]

blockdev -h|-V

DESCRIPTION

L’utilitaire blockdev permet d’appeler des ioctls pour périphériques en mode bloc à partir de la ligne de commande.

OPTIONS

-q
    Pas de sortie.

-v
    Sortie détaillée.

--report
    Afficher un compte-rendu pour le périphérique indiqué. Plusieurs périphériques peuvent être fournis. Si aucun n’est donné, tous les périphériques existant dans /proc/partitions seront affichés. Remarquez que le StartSec de la partition est en secteurs de 512 octets.

-h, --help
    Afficher l’aide-mémoire puis quitter.

-V, --version
    Afficher le numéro de version et quitter.

COMMANDES

Plusieurs périphériques et plusieurs commandes peuvent être fournis.

--flushbufs
    Effacer les mémoires tampon.

--getalignoff
    Afficher l’index d’alignement.

--getbsz
    Afficher la taille de blocs en octet. Cette taille ne décrit pas la topologie du périphérique. C’est la taille utilisée en interne par le noyau et elle peut être modifiée (par exemple) par le pilote du système de fichiers lors du montage.

--getdiscardzeroes
    Afficher l’état de prise en charge d’abandon des zéros.

--getdiskseq
    Get disk sequence number.

--getfra
    Afficher le nombre de secteurs de 512 octets lus par anticipation (« readahead ») pour le système de fichiers.

--getiomin
    Afficher la taille minimale d’E/S.

--getioopt
    Afficher la taille optimale d’E/S.

--getmaxsect
    Afficher le nombre maximal de secteurs par requête.

--getpbsz
    Afficher la taille des blocs (secteurs) physiques.

--getra
    Afficher le nombre de secteurs (512 octets) lus par anticipation.

--getro
    Afficher 1 si le périphérique est en lecture seule, 0 sinon.

--getsize64
    Afficher la taille du périphérique, en octet.

--getsize
    Afficher la capacité (32 bits) du périphérique en secteur. Obsolète, préférer l’option --getsz.

--getss
    Afficher la taille des secteurs logiques en octet — en général 512.

--getsz
    Afficher la capacité en secteurs de 512 octets.

--rereadpt
    Relire la table de partitions.

--setbsz octets
    Définir la taille de bloc. Remarquez que la taille de bloc est spécifique au descripteur de fichier actuel ouvrant le périphérique bloc. Donc, la modification de taille persistera tant que le périphérique sera ouvert par blockdev et sera perdue dès que blockdev se terminera.

--setfra secteurs
    Définir la lecture par anticipation (« readahead ») pour le système de fichiers (comme --setra sur les noyaux 2.6).

--setra secteurs
    Définir le nombre de secteurs (512 octets) lus par anticipation.

--setro
    Positionner en lecture seule. L’accès en cours au périphérique peut ne pas être affecté par ce changement. Par exemple, un système de fichiers déjà monté en mode écriture/lecture ne sera pas touché. La modification s’applique après le remontage.

--setrw
    Positionner en lecture/écriture.

AUTEURS

blockdev a été écrit par Andries E. Brouwer et réécrit par Karel Zak.

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le gestionnaire de bogues sur

DISPONIBILITÉ

La commande blockdev fait partie du paquet util-linux, elle est disponible sur